POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"delay_between_scans": 1,
"id": "87750886-f37e-4d18-8282-70041c66be2d",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "bcbec89d-313b-47ad-9c45-4a8a7e8b10cc"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <delay_between_scans>1</delay_between_scans> <id>87750886-f37e-4d18-8282-70041c66be2d</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>bcbec89d-313b-47ad-9c45-4a8a7e8b10cc</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"7a17d515-f240-425b-b8ad-6b16c779ab1d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">7a17d515-f240-425b-b8ad-6b16c779ab1d</guid>